#
# 2014.10.13 jdwang@asia.edu.tw
#
# usage : perl PubMed_InfoExtration_8_OneDirMultiFiles6.pl "./SrcData_OrderByPubDate" "./SrcParsedData"
# => Change 

use strict;
use Data::Dumper;
use jdwangPubMedPackage;

#my $SrcDir = "../SrcData_OrderByPubDate";
#my $OutputDir = "../SrcData_OrderByPubDate_Parsed";

my $SrcDir = $ARGV[0];
my $OutputDir = $ARGV[1];

mkdir $OutputDir;

my @SegFileAry = ();

my $SeqFilesCnt = jdwangPubMedPackage::DirFilenames($SrcDir,\@SegFileAry);

foreach my $OneFileName (@SegFileAry) {
	
	print "Begin $OneFileName\n";
	
	#ParsePubMed_XMLFile($SrcDir,$InputFileName,$OutputDir,$OutputFileName);
	
	my ($FileName, $Ext) = $OneFileName =~ /(.+)\.(.+)?/;
	#print Dumper($FileName, $Ext);exit;
	my $OutputFileName = "$FileName"."_Parsed.txt";	
	#print "$SrcDir,$OneFileName,$OutputDir,$OutputFileName";
	
	print "begin $OneFileName ".scalar localtime(time())."\n";#exit;
	
	jdwangPubMedPackage::ParsePubMed_XMLFile($SrcDir,$OneFileName,$OutputDir,$OutputFileName);
	
	print "end $OneFileName ".scalar localtime(time())."\n";
	
}	









