#  jdwang@asia.edu.tw 2010.11.30
#
#

use strict;

#perl ExcuteSystemCommandsInOneDir.pl ../../ClassVector_BatchSVM

my $BatchCommandsDir = $ARGV[0];

my $Time_OutputFile = "LIBSVM_Classification_CostTime.txt";

my @BatchCommandFiles = ();
my $BatchCommandFilesCnt = DirFilenames($BatchCommandsDir,\@BatchCommandFiles);

open (output,">>$Time_OutputFile");

foreach my $BatchFile (sort @BatchCommandFiles) {
	my $StartTime = time();
	my $EndTime;
	my $CostTime;
	
	##########################################################
	my $BatchFileLocation = $BatchCommandsDir."\/".$BatchFile;
	print "Execute=> $BatchFileLocation\n";
	open (input,"<$BatchFileLocation") or die "can't open $BatchFileLocation\n";
	while (my $Line = <input>) {
		print "$Line\n\n";
		system("$Line")	;
	}
	close(input);
	##########################################################x
	$EndTime = time();
	$CostTime = $EndTime - $StartTime;
	#print "Starttime =>".scalar localtime($StartTime)."\nEndtime   =>".scalar localtime($EndTime)."\n";
	my $CostSec = $CostTime % 60;
	my $CostMin = int($CostTime/60) % 60;
	my $CostHour = int($CostTime/3600);
	my $CostTimeStr = "$CostHour:$CostMin:$CostSec";		
	print output "CostTime $BatchFile=>$CostTimeStr\n"
}
close(output);
##################################3
sub DirFilenames {
	my ($SrcDir,$SegFileAry) = @_;
	
	opendir (DIRHandle,$SrcDir) or die "Can't open directory==>$SrcDir";
	
	#my @SegFileAry = ();
	while (my $OneFileName = readdir DIRHandle)
	{		
	  if ($OneFileName =~ /^\./)
	  {  	 
	  	# skip the "." and ".."
	  } else {
	  	#print "Directory=>$OneFileName\n";
		push (@$SegFileAry,$OneFileName);
	  }	
	}
	
	closedir DIRHandle;
	@$SegFileAry = sort @$SegFileAry;
	
	return($#$SegFileAry+1);
}
##############################################